Package com.google.android.exoplayer2.drm

## Class MediaDrmCallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.drm.MediaDrmCallbackException

- All Implemented Interfaces:
    `Serializable`

      public final class MediaDrmCallbackException
      extends IOException

  Thrown when an error occurs while executing a DRM `key` or `provisioning` request.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `bytesLoaded` | The number of bytes obtained from the server.
    `DataSpec` | `dataSpec` | The `DataSpec` associated with the request.
    `Map<String,​List<String>>` | `responseHeaders` | The HTTP request headers included in the response.
    `Uri` | `uriAfterRedirects` | The `Uri` after redirections, or `dataSpec.uri` if no redirection occurred.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaDrmCallbackException​(DataSpec dataSpec, Uri uriAfterRedirects, Map<String,​List<String>> responseHeaders, long bytesLoaded, Throwable cause)` | Creates a new instance with the given values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dataSpec

          public final DataSpec dataSpec

      The `DataSpec` associated with the request.

    - #### uriAfterRedirects

          public final Uri uriAfterRedirects

      The `Uri` after redirections, or `dataSpec.uri` if no redirection occurred.

    - #### responseHeaders

          public final Map<String,​List<String>> responseHeaders

      The HTTP request headers included in the response.

    - #### bytesLoaded

          public final long bytesLoaded

      The number of bytes obtained from the server.

  - ### Constructor Detail

    - #### MediaDrmCallbackException

          public MediaDrmCallbackException​(DataSpec dataSpec,
                                           Uri uriAfterRedirects,
                                           Map<String,​List<String>> responseHeaders,
                                           long bytesLoaded,
                                           Throwable cause)

      Creates a new instance with the given values.
      Parameters:
        `dataSpec` - See `dataSpec`.
        `uriAfterRedirects` - See `uriAfterRedirects`.
        `responseHeaders` - See `responseHeaders`.
        `bytesLoaded` - See `bytesLoaded`.
        `cause` - The cause of the exception.